Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.Constants.VideoModulePosition Enum Reference

The frame position of the video observer. More...

## Static Public Member Functions
static int | getValue (VideoModulePosition position)

## Public Attributes
| VIDEO_MODULE_POSITION_POST_CAPTURER =(1)
| VIDEO_MODULE_POSITION_PRE_RENDERER =(1 << 1)
| VIDEO_MODULE_POSITION_PRE_ENCODER =(1 << 2)
| VIDEO_MODULE_POSITION_POST_CAPTURER_ORIGIN =(1 << 3)

## Detailed Description

The frame position of the video observer.

## Member Data Documentation

## ◆ VIDEO_MODULE_POSITION_POST_CAPTURER

io.agora.rtc2.Constants.VideoModulePosition.VIDEO_MODULE_POSITION_POST_CAPTURER =(1)

1: The location of the locally collected video data after preprocessing corresponds to the `onCaptureVideoFrame` callback. The observed video here has the effect of video pre-processing, which can be verified by enabling image enhancement, virtual background, or watermark.

## ◆ VIDEO_MODULE_POSITION_PRE_RENDERER

io.agora.rtc2.Constants.VideoModulePosition.VIDEO_MODULE_POSITION_PRE_RENDERER =(1 << 1)

2: The pre-renderer position , which corresponds to the video data in the `onRenderVideoFrame` callback.

## ◆ VIDEO_MODULE_POSITION_PRE_ENCODER

io.agora.rtc2.Constants.VideoModulePosition.VIDEO_MODULE_POSITION_PRE_ENCODER =(1 << 2)

4: The pre-encoder position , which corresponds to the video data in the `onPreEncodeVideoFrame` callback. The observed video here has the effects of video pre-processing and encoding pre-processing.

- To verify the pre-processing effects of the video, you can enable image enhancement, virtual background, or watermark.
- To verify the pre-encoding processing effect, you can set a lower frame rate (for example, 5 fps).

## ◆ VIDEO_MODULE_POSITION_POST_CAPTURER_ORIGIN

io.agora.rtc2.Constants.VideoModulePosition.VIDEO_MODULE_POSITION_POST_CAPTURER_ORIGIN =(1 << 3)

8: The position after local video capture and before pre-processing. The observed video here does not have pre-processing effects, which can be verified by enabling image enhancement, virtual background, or watermarks.